> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exchange Rates

> Retrieves a list of currency exchange rates based on the context's currency code.



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json get /commerce/catalog/storefront/currencies/exchangerates
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/currencies/exchangerates:
    get:
      tags:
        - Currencies
      summary: Get Exchange Rates
      description: >-
        Retrieves a list of currency exchange rates based on the context's
        currency code.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogRuntimesCurrencyExchangeRate'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogRuntimesCurrencyExchangeRate'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogRuntimesCurrencyExchangeRate'
                type: array
          description: OK
components:
  schemas:
    CatalogRuntimesCurrencyExchangeRate:
      description: The currency exchange rates from one currency to another.
      properties:
        decimalPlaces:
          description: Number of decimal places
          format: int32
          nullable: true
          type: integer
        fromCurrencyCode:
          description: The source currency code
          nullable: true
          type: string
        multiplier:
          description: An additional multiplier to use in calculations
          format: double
          nullable: true
          type: number
        rate:
          description: The exchange rate
          format: double
          nullable: true
          type: number
        referenceData:
          description: Reference data for miscellaneous metadata from updates
          nullable: true
          type: string
        roundingStrategy:
          description: Rounding strategy
          format: int32
          nullable: true
          type: integer
        toCurrencyCode:
          description: The target currency code
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````